import coscine
import os
from dotenv import load_dotenv

load_dotenv()

COS_TOKEN = os.getenv("COS_TOKEN")

client = coscine.ApiClient(COS_TOKEN)

# enter your coscine project and resource (display names)
PROJECT = "YOUR_COSCINE_PROJECT"
RESOURCE = "YOUR_COSCINE_RESOURCE"

project = client.project(PROJECT, toplevel=False)
resource = project.resource(RESOURCE)

# enter your folder name
folder_to_delete = "folder/"

paths = [f for f in resource.files(recursive=True)]

for file in paths:
    if folder_to_delete in file.path and file.path[-1] != "/":
        print(f"deleting {file.path}")
        file.delete()
    else:
        print(f"{file.path} will not be deleted")
